## oem-realtek-disablemmc-1405544-dkms 2.0+columbia2stella6

=== oem-realtek-disablemmc-1405544/Makefile ===
# Please add disable_mmc_usb to /etc/modules or add "insmod disable_mmc_usb.ko" in the /etc/modules
# The disable_mmc_usb.ko should be inserted before ums-realtek.ko
KVER?= $(shell uname -r)

obj-m += ums-realtek.o
obj-m += disable_mmc_usb.o

ums-realtek-y := realtek_cr.o

all:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) modules
clean:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

=== debian/changelog ===
oem-realtek-disablemmc-1405544-dkms (2.0+columbia2stella6) xenial; urgency=medium

  * Bump version 

 -- hugh chao <hugh.chao@canonical.com>  Thu, 10 May 2018 17:15:45 +0800

oem-realtek-disablemmc-1405544-dkms (2.0+columbia2stella5) xenial; urgency=medium

  * upgrade setup_timer to timer_setup for 4.15

 -- hugh chao <hugh.chao@canonical.com>  Thu, 10 May 2018 11:29:01 +0800

oem-realtek-disablemmc-1405544-dkms (2.0+columbia2stella4) xenial; urgency=medium

  * Fix version.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 26 Dec 2017 21:42:01 +0800

oem-realtek-disablemmc-1405544-dkms (2.0+columbia2stella3) xenial; urgency=medium

  * Fixed by HWE, need to bump version.
    (LP: #1736910)

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 26 Dec 2017 19:02:46 +0800

oem-realtek-disablemmc-1405544-dkms (2.0+columbia2stella2) xenial; urgency=medium

  * Do not trigger reboot.

 -- Gerald Yang <gerald.yang@canonical.com>  Wed, 08 Nov 2017 18:14:22 +0800

oem-realtek-disablemmc-1405544-dkms (2.0+columbia2stella1) xenial; urgency=medium

  * Bump version and remove modalias.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 07 Nov 2017 19:48:20 +0800

oem-realtek-disablemmc-1405544-dkms (1oem5stella2atami2) xenial; urgency=medium

  * Fix version, forgot to update it.

 -- Bin Li <bin.li@canonical.com>  Sun, 22 Jan 2017 23:32:51 +0800

oem-realtek-disablemmc-1405544-dkms (1oem5stella2atami1) xenial; urgency=medium

  * Bump a new version, cause the version is already registered.

 -- Bin Li <bin.li@canonical.com>  Fri, 20 Jan 2017 15:52:10 +0800

oem-realtek-disablemmc-1405544-dkms (1oem5stella2) xenial; urgency=medium

  * [Madper Xie]
    backport to 4.4 kernel. (LP: #1652238)

 -- Bin Li <bin.li@canonical.com>  Mon, 17 Jan 2017 15:33:28 +0800

oem-realtek-disablemmc-1405544-dkms (1oem5) trusty; urgency=medium

  * [Gerald]
    Merge code from HWE
    (https://bugs.launchpad.net/stella/+bug/1443743/comments/20)
  * [Franz]
    Add udev rules to force realtek MMC devices bind to ums-realtek module.

 -- Gerald Yang <gerald.yang@canonical.com>  Wed, 02 Sep 2015 16:45:45 +0800

oem-realtek-disablemmc-1405544-dkms (1oem4) trusty; urgency=medium

  * Need to reboot to make it work.

 -- Gerald Yang <gerald.yang@canonical.com>  Fri, 03 Jul 2015 16:24:25 +0800

oem-realtek-disablemmc-1405544-dkms (1oem3) trusty; urgency=medium

  * Add [0bda:0177] to ignore list.
    (LP: #1458467)

 -- Gerald Yang <gerald.yang@canonical.com>  Fri, 26 Jun 2015 18:03:46 +0800

oem-realtek-disablemmc-1405544-dkms (1oem2) trusty; urgency=medium

  * Remove modalias and install this package by oem-alias.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 14 Apr 2015 19:00:02 +0800

oem-realtek-disablemmc-1405544-dkms (1oem1) trusty; urgency=low

  * Disable mmc for realtek card reader.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 25 Dec 2014 15:13:32 +0800

=== debian/control ===
Source: oem-realtek-disablemmc-1405544-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-realtek-disablemmc-1405544-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-realtek-disablemmc-1405544 driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-realtek-disablemmc-1405544
NAME=oem-realtek-disablemmc-1405544
VERSION=2.0+columbia2stella6

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install
	install -m644 -D oem-realtek-disable-mmc.rules $(CURDIR)/debian/$(DEB_NAME)-dkms/lib/udev/rules.d/60-oem-realtek-disable-mmc.rules
	install -m755 -D oem-realtek-disable-mmc $(CURDIR)/debian/$(DEB_NAME)-dkms/lib/udev/oem-realtek-disable-mmc

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
